Bug 1476362 - [RFE] Backup ES data before upgrade
[RFE] Backup ES data before upgrade
Status: NEW
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
3.5.1
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Paul Weil
Xiaoli Tian
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-28 13:34 EDT by jooho lee
Modified: 2017-08-09 15:39 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 jooho lee 2017-07-31 12:20:20 EDT
// Deleted Client information


1. Proposed title of this feature request:

*** Before upgrading EFK stack, taking snapshot of data would be a great. Just in case, the data might be corrupted.

4. Why does the customer need this? (List the business requirements here)

** They will be using EFK stack heavily in production so they don't want to lose any EFK data because of upgrading ocp cluster or changing EFK image.

5. How would the customer like to achieve this? (List the functional requirements here)

** NCR want to include those backup steps into EFK upgrade ansible script

6. For each functional requirement listed in question 4, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.

** 1) Take snapshot of ES data
   2) Upgrade all EFK objects
   3) If anything goes wrong with data, let ES start with new storage and then giving them the way how to restore the backup ES data .

7. Is there already an existing RFE upstream or in Red Hat bugzilla?

** No

8. Does the customer have any specific time-line dependencies?

** no

9. Is the sales team involved in this request and do they have any additional input?

** No as far as i am aware of it.

10. List any affected packages

** Openshift container platform

11. Would the customer be able to assist in testing this functionality if implemented?

** I BELIEVE IT IS YES, BUT I CAN'T CONFIRM ON BEHALF OF CUSTOMER

Note You need to log in before you can comment on or make changes to this bug.